Execute admin invites
curl --request PUT \
--url https://b2b-api.dev-riseworks.io/v2/invites/manager \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invites": [
"<string>"
],
"signer": "<string>",
"typed_data": {
"from": "<string>",
"to": "<string>",
"salt": "<string>",
"expires": "<string>",
"data": [
{
"role": "<string>",
"account": "<string>"
}
]
},
"signature": "<string>"
}
'import requests
url = "https://b2b-api.dev-riseworks.io/v2/invites/manager"
payload = {
"invites": ["<string>"],
"signer": "<string>",
"typed_data": {
"from": "<string>",
"to": "<string>",
"salt": "<string>",
"expires": "<string>",
"data": [
{
"role": "<string>",
"account": "<string>"
}
]
},
"signature": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invites: ['<string>'],
signer: '<string>',
typed_data: {
from: '<string>',
to: '<string>',
salt: '<string>',
expires: '<string>',
data: [{role: '<string>', account: '<string>'}]
},
signature: '<string>'
})
};
fetch('https://b2b-api.dev-riseworks.io/v2/invites/manager', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"invites": [
"<string>"
],
"transaction": "<string>"
}
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}B2B Invites
Execute admin invites
Execute admin invites for a company or team. This is used to execute admin invites for a company or team.
PUT
/
v2
/
invites
/
manager
Execute admin invites
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Identifier of an invite (e.g. team-member invitation). 15-character nanoid prefixed with in-.
Required string length:
15Pattern:
^in-.*EVM address (0x + 40 hex chars) or null/empty for unknown.
Pattern:
^0x[a-fA-F0-9]{40}$Show child attributes
Show child attributes
ECDSA signature over an EVM message (0x + 130 hex chars covering r, s, v).
Pattern:
^0x(?!0{130}$)[a-fA-F0-9]{130}$⌘I
